package com.yunzhi.marketing.broker.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 经纪人首屏广告
 * </p>
 *
 * @author yansen
 * @since 2022-07-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="BkFirstScreen对象", description="经纪人首屏广告")
public class BkFirstScreen implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "screen_id", type = IdType.UUID)
    private String screenId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "显示类型")
    private String showType;

    @ApiModelProperty(value = "图片")
    private String imageUrl;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "链接页面")
    private String linkPage;

    @ApiModelProperty(value = "页面参数")
    private String pageParam;

    @ApiModelProperty(value = "城市")
    private String cityId;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "机构code")
    private String institutionId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
