package com.yunzhi.marketing.broker.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 通知公告
 * </p>
 *
 * @author yansen
 * @since 2022-07-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="BkNotice对象", description="通知公告")
public class BkNotice implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "公告ID")
    @TableId(value = "notice_id", type = IdType.INPUT)
    private String noticeId;

    @ApiModelProperty(value = "楼盘ID")
    private String buildingId;

    @ApiModelProperty(value = "楼盘名称")
    private String builidngName;

    @ApiModelProperty(value = "公告内容")
    private String content;

    @ApiModelProperty(value = "城市")
    private String cityId;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "机构code")
    private String institutionId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
