package com.yunzhi.marketing.redpack.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 红包助力人员列表 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaRedPacketHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 活动ID
     */
    private String activityId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 助力公众号人员 人员ID
     */
    private String fromMpPerson;

    /**
     * 助力小程序人员 人员ID
     */
    private String fromMiniappPerson;

    /**
     * 被助力公众号人员 人员ID
     */
    private String targetMpPerson;

    /**
     * 被助力小程序人员 人员ID
     */
    private String targetMiniappPerson;

    /**
     * 助力时间
     */
    private LocalDateTime createDate;

    @TableField(exist = false)
    private Integer helpPersonNum;

    @TableField(exist = false)
    private String nickname;

    @TableField(exist = false)
    private String avatarurl;
}
